Bug 46750 - [4.2] systemd-journald: Please introduce UCR variable for SplitMode
[4.2] systemd-journald: Please introduce UCR variable for SplitMode
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCR
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Daniel Tröder
Arvid Requate
:
Depends on: 46279
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-27 13:41 CEST by Daniel Tröder
Modified: 2018-04-18 14:16 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2018-03-27 13:41:14 CEST
Merge changes from Bug #46279 into UCS 4.2.

+++ This bug was initially created as a clone of Bug #46279 +++

Hi

We've had a customer whose UCS server with Samba and Proxy had log growth rate that required some 'taming' and we opted to modify SplitMode from 'uid' to 'login', since 'man systemd.conf':

SplitMode=
  Controls whether to split up journal files per user [...] If "login",          
  actually logged-in users will get each their own journal files, but users
  without login session and system users will log into the system journal.
  
However as of now, there is no such UCR variable available we could use for tuning when needed.

We'd (that is, the customer and I) appreciate if you'd introduce systemd/journald/SplitMode as UCR variable.

What do you think abou this since there are already other journald-Related options present in UCS 4.2

Best regards
Mathieu Simon, Adfinis SyGroup AG
Comment 1 Daniel Tröder univentionstaff 2018-03-27 13:52:22 CEST
Cherry-picked changes from 4.3-0, which in turn come from Mathieu Simons PR (https://github.com/univention/univention-corporate-server/pull/5).

[4.2-3] 8806f06460 Bug #46750: allow to set journald SplitMode by UCRV
[4.2-3] 8c44a84c77 Bug #46750: changelog
[4.2-3] 16d1ce05c7 Bug #46750: advisory

univention-base-files (6.0.0-17)
Comment 2 Arvid Requate univentionstaff 2018-04-12 20:23:54 CEST
I've fixed a trivial typo in the variable description, but I don't think we need to rebuild the package for that (commit a22e7a0e17).

Verified:
* Code review: Ok
* Functional test: Ok
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:16:01 CEST
<http://errata.software-univention.de/ucs/4.2/342.html>